Skip to content

Soon Coming soon: work and personal email enrichment. Join the early list

Bulk uploads

One bulk task

GET /api/v1/bulk/tasks/{taskId}

Parameters

Parameters
Name Type Description
taskId Required · in path string —

Responses

  • 200 The task

  • 401 The API key is missing or unknown

  • 403 No active Scale or Enterprise plan bought in the last 30 days

  • 404 No task with this id belongs to you

  • 429 More than 1,500 requests with this key in the last hour

curl -X GET "https://server.localcontact.ai/api/v1/bulk/tasks/0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00" \
  -H "Authorization: Bearer $LOCALCONTACT_API_KEY"

Response · 200

{
  "id": "0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00",
  "type": "single",
  "company": "string",
  "depth": 1,
  "search_titles": null,
  "mapping": {
    "company": "string",
    "location": "string"
  },
  "location": "string",
  "status": "mapping",
  "progress": 0,
  "started_at": "2026-11-14 10:00:00",
  "completed_at": "2026-11-14 10:00:00",
  "total_records": 1,
  "credits_used": 1,
  "cached_count": 1,
  "processed_records": 1,
  "file_path": "string",
  "result_file_path": "string",
  "export_file_path": "string",
  "export_status": "string",
  "webhook_url": "string",
  "results": "string",
  "created_at": "2026-11-14T10:00:00.000000Z",
  "updated_at": "2026-11-14T10:00:00+00:00",
  "user_id": "0f8c3a52-7f4e-4c1e-9b8a-2a5d6c1e9f00"
}

Error examples

401 · The API key is missing or unknown

{
  "error": "API token missing"
}

403 · No active Scale or Enterprise plan bought in the last 30 days

{
  "error": "API access requires an active Scale or Enterprise plan.",
  "upgrade_url": "https://localcontact.ai/dashboard/billing"
}

404 · No task with this id belongs to you

{
  "message": "No query results for model [App\\Models\\SearchTask]."
}

429 · More than 1,500 requests with this key in the last hour

{
  "error": "Rate limit exceeded. Max 100 requests per hour.",
  "retry_after": 3600
}

Book a demo

Loading…